import { Ref } from 'vue'
import { CommonTableColumn } from '~/common'

export default function useTableColumnSet(
  tableColumns: Ref<CommonTableColumn[]>
) {
  const filterColumnKeys = ref<string[]>([])
  watchEffect(() => {
    tableColumns.value.forEach(column => {
      column.hidden =
        !column.needShow || !filterColumnKeys.value.includes(column.columnName)
    })
  })
  const columnChecked = (checkedColumnKeys: string[]) => {
    filterColumnKeys.value = checkedColumnKeys
  }
  return {
    columnChecked,
  }
}
